Bug 1999674 - Warn users about using deprecated vSphere version
Summary: Warn users about using deprecated vSphere version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Hemant Kumar
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-31 14:34 UTC by Jan Safranek
Modified: 2021-10-18 17:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:50:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 209 0 None None None 2021-09-02 01:42:01 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:50:56 UTC

Description Jan Safranek 2021-08-31 14:34:17 UTC
* Since vSphere ver. 6.5 is deprecated in OCP 4.9 [1], we should warn users about it and suggest upgrade of vSphere. An alert based on vsphere-problem-detector metrics should be enough.

* HW ver 13 is deprecated too, we should alert about it, suggesting users to upgrade the HW ver. 

1: https://github.com/openshift/openshift-docs/pull/35530

Comment 3 Wei Duan 2021-09-06 07:35:58 UTC
Test on 4.9.0-0.nightly-2021-09-06-004132.

CSIWithOldVSphereHWVersion was raised successfuly and message changed as expected:
        "labels": {
          "alertname": "CSIWithOldVSphereHWVersion",
          "container": "vsphere-problem-detector-operator",
          "endpoint": "vsphere-metrics",
          "hw_version": "vmx-13",
          "instance": "10.129.0.3:8444",
          "job": "vsphere-problem-detector-metrics",
          "namespace": "openshift-cluster-storage-operator",
          "pod": "vsphere-problem-detector-operator-fbf45bff-l9hkw",
          "service": "vsphere-problem-detector-metrics",
          "severity": "info"
        },
        "annotations": {
          "description": "The cluster is using VMs with hardware version lower than 15, which is being deprecated by Openshift. Hardware version 15 or greater\nis required by vSphere CSI driver. Please update your VMs to at least HW version 15.\n",
          "summary": "Detected vSphere VM with HW version lower than 15, which is being deprecated by Openshift."
        },
        "state": "firing",
        "activeAt": "2021-09-06T05:09:52.396347327Z",
        "value": "3e+00"
      },

Need find the env to test the VSphereOlderVersionPresent.

Comment 4 Wei Duan 2021-09-07 09:50:47 UTC
Installed one cluster on a vpshere6.7, get the VSphereOlderVersionPresent alert as below:

        "labels": {
          "alertname": "VSphereOlderVersionPresent",
          "api_version": "6.7.2",
          "container": "vsphere-problem-detector-operator",
          "endpoint": "vsphere-metrics",
          "instance": "10.129.0.3:8444",
          "job": "vsphere-problem-detector-metrics",
          "namespace": "openshift-cluster-storage-operator",
          "pod": "vsphere-problem-detector-operator-fbf45bff-bkz8f",
          "service": "vsphere-problem-detector-metrics",
          "severity": "info",
          "version": "6.7.0"
        },
        "annotations": {
          "description": "The cluster is using ESXi hosts which are on version less than 6.7u3, which is being deprecated by Openshift. A future version of\nOpenshift will remove support for ESXi version less than 6.7u3 and it is recommended to update your hosts to latest ESXi version.\n",
          "summary": "Detected vSphere host with ESXi version less than 6.7u3 in Openshift cluster."
        },
        "state": "firing",
        "activeAt": "2021-09-07T03:55:22.396347327Z",
        "value": "1e+00"
      }, 

But currently only one node report the ESXi version need check further:
$ oc logs vsphere-problem-detector-operator-5bc8c49c4f-lhhpb| grep host
I0907 07:41:33.627118       1 node_esxi_version.go:62] Node reliability01-vpsgz-master-1 runs on cached ESXi host host-9: 
I0907 07:41:33.627143       1 node_esxi_version.go:62] Node reliability01-vpsgz-worker-6wmb6 runs on cached ESXi host host-9: 
I0907 07:41:33.628786       1 node_esxi_version.go:62] Node reliability01-vpsgz-worker-xd8kk runs on cached ESXi host host-9: 
I0907 07:41:33.629243       1 node_esxi_version.go:62] Node reliability01-vpsgz-master-0 runs on cached ESXi host host-9: 
I0907 07:41:33.630803       1 node_esxi_version.go:62] Node reliability01-vpsgz-worker-bzzlk runs on cached ESXi host host-9: 
I0907 07:41:33.642155       1 node_esxi_version.go:83] Node reliability01-vpsgz-master-2 runs on host host-9 (10.8.1.38) with ESXi version: 6.7.0
I0907 07:42:34.275578       1 node_esxi_version.go:62] Node reliability01-vpsgz-worker-xd8kk runs on cached ESXi host host-9: 
I0907 07:42:34.277566       1 node_esxi_version.go:62] Node reliability01-vpsgz-worker-bzzlk runs on cached ESXi host host-9: 
I0907 07:42:34.279638       1 node_esxi_version.go:62] Node reliability01-vpsgz-worker-6wmb6 runs on cached ESXi host host-9: 
I0907 07:42:34.281967       1 node_esxi_version.go:62] Node reliability01-vpsgz-master-2 runs on cached ESXi host host-9: 
I0907 07:42:34.282975       1 node_esxi_version.go:62] Node reliability01-vpsgz-master-0 runs on cached ESXi host host-9: 
I0907 07:42:34.289452       1 node_esxi_version.go:83] Node reliability01-vpsgz-master-1 runs on host host-9 (10.8.1.38) with ESXi version: 6.7.0

Comment 5 Wei Duan 2021-09-08 07:08:11 UTC
This PR is actually adding the alert and it works, already discussed ESXi version report issue in another thread.
Update status to "Verified"

Comment 8 errata-xmlrpc 2021-10-18 17:50:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.